IFRIT(1)

NAME
ifrit - a powerful tool that can be used to visualize 3-dimensional data sets

SYNOPSIS
ifrit [qt-options] [options] [dir_name]

DESCRIPTION
This manual page documents briefly the ifrit command. This manual page was written for the Debian distribution because the original program does not have a manual page.

OPTIONS

-8  accepts an 8-bit display

-d  starts IFRIT with all windows docked together into a single window.

-nf does not show the splash screen at start-up

-sw uses small font to reduce the QT window size

-rw IFRIT is being used remotely. This option can be used to minimize re-drawing of the widget windows.

-ni IFRIT is not idiosyncratic. This prompts IFRIT not to ask for a confirmation when exiting or running scripts.

-np number
    sets the number of processors to use. Note that only some parts of IFRIT support parallel execution so far.

-i file_name
    loads the state from the previously saved state file filename.

-b file_name
    runs IFRIT in batch mode, taking animation script from the file filename. If filename starts with sign "+", standard directories (see ENVIRONMENT VARIABLES ) will be prepended to the file name.

-h -help
    show the list of available command-line options.

ENVIRONMENT VARIABLES
IFRIT understands the following environment variables (all in capitals):

IFRIT_DIR
    The main IFRIT directory where you keep the variable file ifrit.nam and options file(s) ifrit.ini. If this variable is not set, IFRIT assumes that current directory is the main directory.

IFRIT_DATA_DIR:
    The default directory for the data files. If not set, IFRIT will start searching for the data files in the current directory.

IFRIT_MESH_DATA_DIR
    The default directory for the mesh data files. If not set, IFRIT will start searching for the mesh data in the default data directory.

IFRIT_PART_DATA_DIR
    The default directory for the particle data files. If not set, IFRIT will start searching for the particle data in the default data directory.

IFRIT_VECT_DATA_DIR
    The default directory for the vector field data files. If not set, IFRIT will start searching for the vector field data in the default data directory.

IFRIT_TENS_DATA_DIR
    The default directory for the tensor field data files. If not set, IFRIT will start searching for the tensor field data in the default data directory.

IFRIT_IMAGE_DIR
    The directory where IFRIT will place image and animation files. If not set, IFRIT will put image files into the current directory.

IFRIT_SCRIPT_DIR
    The directory where IFRIT will place animation scripts. If not set, IFRIT will put scripts into its main directory.

IFRIT_PALETTE_DIR
    The directory where IFRIT will place custom palettes. If not set, IFRIT will put palettes into its main directory.

SEE ALSO
The IFRIT help system.

AUTHOR
This manual page was adapted by Mark Hymers <mark.hymers@ncl.ac.uk> from the ifrit help system, for the Debian project (but may be used by others).